#pragma once
#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif

#define COPYRIGHT "(C) 2008-2021 thomas"
#define WIME_SOCKET "WIME_SOCKET"
#define WIME_DEBUG "WIME_DEBUG"

typedef struct{
    const char* long_name;
    int short_name;
    int has_arg; //struct optionhas_arg
    bool (*proc)(const char* arg,void* tmp);
    void* tmp; //procϤǡ
    const char* explain; //
    const char* argtype_text; //
} OptArg;

    bool CmdlineOptInt(const char* arg,void* to_int);
    int ParseEnv(int def_ch);
    int CmdlineOpt(int ac,char** av,const OptArg* oa,int oa_num,const char* helpmsg);

#ifdef __cplusplus
}
#endif

//(C) 2018 thomas
