// -*- coding:euc-jp -*-
#include "wimexim.h"
#include "lib/log.h"
#include <stdlib.h>

extern Array ContextList;

int Connect(WxContext* cx,XimConnect* pkt)
{
    DEBUGLOG(CH_XIM,"order=0x%hhx version=%hd/%hd auth=%hd\n",pkt->order,pkt->client_major,pkt->client_minor,pkt->auth_nums);
    
    SendW(cx->Client,XIM_CONNECT_REPLY,1,0);
    return 0;
}

int Disconnect(WxContext* cx)
{
    DEBUGLOG(CH_XIM,"disconnect: client 0x%lx proxy 0x%lx\n",cx->Client,cx->Proxy);
    Send0(cx->Client,XIM_DISCONNECT_REPLY);
    DisconnectClient(cx,true);
    return 0;
}

int Disconnect_nwm(WxContext* cx)
{
    Send0(cx->Client,XIM_DISCONNECT_REPLY);
    return 0;
}

/*
  disconnect줿饤ȤĤ줿
  饤ȤĤ줿,ѥɥĤ(饤ȤƥɥˤƤ뤿)ѥɥĤ줿ȤˤDestroyNotifyǤδؿƤֻdispNULLˤ뤳ȡƥե饰ˤ
*/
void DisconnectClient(WxContext* cx,bool send_reply)
{
    XimImIc pkt;

    pkt.imid = ArIndex(&ContextList,cx)+1;
    for(int n=0; n<ArUsing(&cx->Ic); ++n){
	IcData* icp = ArElem(&cx->Ic,n);
	if((icp->Flags & ICF_INVALID) == 0){
	    pkt.icid = n+1;
	    DestroyIcIf(cx,&pkt,send_reply,true);
	}
    }

    if(!(cx->Flags & IMF_INVALID))
	free(cx->Encoding);

    /*
      ٥Ȥν֤
      1. clientproxyĤ
      2. xim_disconnect
      3. proxyDestroyNotify
      Ǥä硢xim_disconnectproxyĤbadwindowˤʤ롣
      23ʤμ¤ǤϤʤ
      ʤΤǡproxyclientĤƤ餦ȤˤǤϲ⤷ʤȤˤ롣
      ⤽xim-disconnectʤΤ
    */
#if 0
    if(disp!=NULL){
	XDestroyWindow(disp,cx->Proxy);
	LOG("destroy proxy window %p\n",cx->Proxy);
    }
#endif
    cx->Flags |= IMF_INVALID;
}

//(C) 2009 thomas
